%define		kdeframever	5.89
%define		qtver		5.9.0
%define		kfname		kdeclarative

Summary:	Integration of QML and KDE work spaces
Name:		kf5-%{kfname}
Version:	5.89.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	eb7bb7b444c23c9e5c7b076a0350fe24
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
BuildRequires:	Qt5Qml-devel >= %{qtver}
BuildRequires:	Qt5Quick-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-attica-devel >= %{version}
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kauth-devel >= %{version}
BuildRequires:	kf5-kbookmarks-devel >= %{version}
BuildRequires:	kf5-kcodecs-devel >= %{version}
BuildRequires:	kf5-kcompletion-devel >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kconfigwidgets-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdbusaddons-devel >= %{version}
BuildRequires:	kf5-kglobalaccel-devel >= %{version}
BuildRequires:	kf5-kguiaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kiconthemes-devel >= %{version}
BuildRequires:	kf5-kio-devel >= %{version}
BuildRequires:	kf5-kitemviews-devel >= %{version}
BuildRequires:	kf5-kjobwidgets-devel >= %{version}
BuildRequires:	kf5-kpackage-devel >= %{version}
BuildRequires:	kf5-kservice-devel >= %{version}
BuildRequires:	kf5-ktextwidgets-devel >= %{version}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf5-kwindowsystem-devel >= %{version}
BuildRequires:	kf5-kxmlgui-devel >= %{version}
BuildRequires:	kf5-solid-devel >= %{version}
BuildRequires:	kf5-sonnet-devel >= %{version}
BuildRequires:	libepoxy-devel
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KDeclarative provides integration of QML and KDE work spaces.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kf5-kconfig-devel
Requires:	kf5-kpackage-devel

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/kpackagelauncherqml
%ghost %{_libdir}/libKF5CalendarEvents.so.5
%attr(755,root,root) %{_libdir}/libKF5CalendarEvents.so.5.*.*
%ghost %{_libdir}/libKF5Declarative.so.5
%attr(755,root,root) %{_libdir}/libKF5Declarative.so.*.*
%ghost %{_libdir}/libKF5QuickAddons.so.5
%attr(755,root,root) %{_libdir}/libKF5QuickAddons.so.*.*
%{_libdir}/qt5/qml/org/kde/kio/qmldir
%attr(755,root,root) %{qt5dir}/qml/org/kde/kio/libkio.so
%{_libdir}/qt5/qml/org/kde/kwindowsystem/qmldir
%attr(755,root,root) %{qt5dir}/qml/org/kde/kwindowsystem/libkwindowsystem.so
%attr(755,root,root) %{qt5dir}/qml/org/kde/draganddrop/libdraganddropplugin.so
%{qt5dir}/qml/org/kde/draganddrop/qmldir
%attr(755,root,root) %{qt5dir}/qml/org/kde/kcoreaddons/libkcoreaddonsplugin.so
%{qt5dir}/qml/org/kde/kcoreaddons/qmldir
%{qt5dir}/qml/org/kde/kquickcontrols/ColorButton.qml
%{qt5dir}/qml/org/kde/kquickcontrols/KeySequenceItem.qml
%{qt5dir}/qml/org/kde/kquickcontrols/qmldir
%attr(755,root,root) %{qt5dir}/qml/org/kde/kquickcontrolsaddons/libkquickcontrolsaddonsplugin.so
%{qt5dir}/qml/org/kde/kquickcontrolsaddons/qmldir
%attr(755,root,root) %{qt5dir}/qml/org/kde/private/kquickcontrols/libkquickcontrolsprivateplugin.so
%{qt5dir}/qml/org/kde/private/kquickcontrols/qmldir
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/kconfig/libkconfigplugin.so
%{_libdir}/qt5/qml/org/kde/kconfig/qmldir
%dir %{_libdir}/qt5/qml/org/kde/kcm
%{_libdir}/qt5/qml/org/kde/kcm/GridDelegate.qml
%{_libdir}/qt5/qml/org/kde/kcm/GridView.qml
%{_libdir}/qt5/qml/org/kde/kcm/GridViewKCM.qml
%{_libdir}/qt5/qml/org/kde/kcm/SimpleKCM.qml
%{_libdir}/qt5/qml/org/kde/kcm/libkcmcontrolsplugin.so
%dir %{_libdir}/qt5/qml/org/kde/kcm/private
%{_libdir}/qt5/qml/org/kde/kcm/private/GridViewInternal.qml
%{_libdir}/qt5/qml/org/kde/kcm/qmldir
%{_libdir}/qt5/qml/org/kde/kcm/ScrollView.qml
%{_libdir}/qt5/qml/org/kde/kcm/ScrollViewKCM.qml
%{_libdir}/qt5/qml/org/kde/kcm/AbstractKCM.qml
%{_libdir}/qt5/qml/org/kde/kcm/SettingHighlighter.qml
%{_libdir}/qt5/qml/org/kde/kcm/SettingStateBinding.qml
%{_libdir}/qt5/qml/org/kde/kcm/ContextualHelpButton.qml
%dir %{_libdir}/qt5/qml/org/kde/graphicaleffects
%{_libdir}/qt5/qml/org/kde/graphicaleffects/Lanczos.qml
%{_libdir}/qt5/qml/org/kde/graphicaleffects/lanczos2sharp.frag
%{_libdir}/qt5/qml/org/kde/graphicaleffects/lanczos2sharp_core.frag
%{_libdir}/qt5/qml/org/kde/graphicaleffects/preserveaspect.vert
%{_libdir}/qt5/qml/org/kde/graphicaleffects/preserveaspect_core.vert
%{_libdir}/qt5/qml/org/kde/graphicaleffects/qmldir

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KDeclarative
%{_includedir}/KF5/kdeclarative_version.h
%{_libdir}/cmake/KF5Declarative
%{_libdir}/libKF5CalendarEvents.so
%{_libdir}/libKF5Declarative.so
%{_libdir}/libKF5QuickAddons.so
%{qt5dir}/mkspecs/modules/qt_KDeclarative.pri
%{qt5dir}/mkspecs/modules/qt_QuickAddons.pri
%changelog
* Wed Dec 15 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kdeclarative.git;a=log;h=master

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4d6465f
- updated to 5.89.0

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d327cb3
- updated to 5.88.0

* Tue Oct 26 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> da94bd9
- relup

* Tue Oct 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 519557c
- updated to 5.87.0

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0b55619
- updated to 5.86.0

* Thu Aug 19 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c4a0bc6
- adding missing dir

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 420ffa9
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5777883
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fcf7023
- updated to 5.83.0

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 198e886
- updated to 5.82.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> aa634eb
- updated to 5.81.0

* Mon Mar 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> eb4d6a1
- updated to 5.80.0

* Sat Mar 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4db76d7
- update to 5.79.0

* Sun Jul 12 2020 Jan Rękorajski <baggins@pld-linux.org> 7bd0cbd
- fix requires for devel package
- rel 2

* Wed Feb 19 2020 Łukasz Maśko <lmasko@pld-linux.org> ea6c6c7
- Updated BR: kf5-extra-cmake-modules.

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> 991bc98
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> 799ea6f
- Up to 5.65.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> b0ab5c3
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> d986e76
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 2fd7212
- updated to 5.53.0

